# $Revision: 1.25 $, $Date: 2007-05-27 11:17:50 $
Summary:	Wireless network assistant
Summary(pl.UTF-8):	Asystent sieci bezprzewodowej
Name:		wlassistant
Version:	0.5.7
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/wlassistant/%{name}-%{version}.tar.bz2
# Source0-md5:	4623b498ac42839d08c631c500f18f8b
Patch0:		%{name}-fixkdeconfig.patch
URL:		http://wlassistant.sourceforge.net/
BuildRequires:	kdelibs-devel
BuildRequires:	libiw-devel
BuildRequires:	python
BuildRequires:	rpmbuild(macros) >= 1.337
BuildRequires:	scons
BuildRequires:	zlib-devel
Requires:	dhcpcd
Requires:	wireless-tools
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A user friendly KDE frontend allowing you to scan for and connect to
wireless networks using any adapter utilizing Wireless Extensions.

%description -l pl.UTF-8
Przyjazny dla użytkownika interfejs KDE pozwalający wyszukiwać i
łączyć się z sieciami bezprzewodowymi przy użyciu dowolnego urządzenia
obsługującego rozszerzenia Wireless.

%prep
%setup -q
%patch0 -p0

%build
%{__scons} configure \
%if "%{_lib}" == "lib64"
	libsuffix=64 \
%endif
	prefix=%{_prefix} \
	datadir=%{_datadir} \
	qtdir=%{_prefix} \
	kdedir=%{_prefix} \
	kdelibs=%{_libdir} \
	qtlibs=%{_libdir}/qt \
	kdeincludes=%{_includedir} \
	qtincludes=%{_includedir}/qt
%{__scons} .

%install
rm -rf $RPM_BUILD_ROOT

%{__scons} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_desktopdir}
mv $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/wlassistant.desktop $RPM_BUILD_ROOT%{_desktopdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog doc/AUTHORS doc/NEWS doc/README doc/TODO
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/wlassistant.desktop
%{_iconsdir}/*/*x*/apps/wlassistant.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wlassistant.spec,v $
Revision 1.25  2007-05-27 11:17:50  vip
- kill "/usr/bin/bin/" redundancy

Revision 1.24  2007/04/03 19:04:44  rotom
- up to 0.5.7

Revision 1.23  2007/02/28 14:46:14  shadzik
- builds !
- use scons

Revision 1.22  2007/02/28 14:03:08  shadzik
- readd qtdir, export some variables
- still doesn't build - stupid python checks

Revision 1.21  2007/02/28 13:50:27  shadzik
- BR: python and scons

Revision 1.20  2007/02/28 13:33:50  shadzik
- kill duplicate BRs (all included with kdelibs-devel)

Revision 1.19  2007/02/28 12:57:03  qboosh
- tabs

Revision 1.18  2007/02/28 12:53:43  spider
- fix 4 64bits arch

Revision 1.17  2007/02/12 22:09:20  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:37  baggins
- converted to UTF-8

Revision 1.15  2006/12/01 17:44:51  vip
- up to 0.5.6

Revision 1.14  2006/08/10 14:24:50  wolvverine
- reverted last commit

Revision 1.13  2006/08/09 01:04:17  wolvverine
- add BR

Revision 1.12  2006/02/14 09:06:51  rotom
- updated to 0.5.5

Revision 1.11  2005/11/19 15:14:35  qboosh
- refresh config.sub, pass --with-qt-libraries (fixes build on x86_64)

Revision 1.10  2005/11/19 14:50:03  qboosh
- formatting, updated pl

Revision 1.9  2005/11/19 14:19:11  spider
- ext. description

Revision 1.8  2005/10/11 10:44:59  spider
- up to 0.5.4a
- fix files section
- added fing_lang
- STBR

Revision 1.7  2005/08/14 14:45:41  spider
- up to 0.5.3

Revision 1.6  2005/07/13 10:22:10  spider
- up to 0.5.0

Revision 1.5  2005/06/21 10:35:24  spider
- fix desktop location

Revision 1.4  2005/06/17 20:07:10  qboosh
- more general lib64 if; desktop location needs fix

Revision 1.3  2005/06/17 10:50:12  spider
- missing requires

Revision 1.2  2005/06/15 22:35:59  ankry
- killed capitalization

Revision 1.1  2005/06/15 13:56:33  spider
- init
